﻿/*
    CATALOGO MULTIMEDIALE

    Author: Alberto Cobre
    eMail: a.cobre@ocalab.it
    Company: OCALAB by PROMOinVIDEO Srl

	rev: 06.09.2018
*/

/*############ BASE ############*/
html body {
    min-width: 320px;
    min-height: 360px;

    width: 100%;
    height: 100%;
    position: absolute;
    box-sizing: border-box;

    overflow-y: hidden;
    margin: 0;

    font-family: "open_sans", Verdana, Arial;
    font-size: 18px;
    line-height: 1em;
    text-align: center;
    color: #303030;

    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.template,
.hidden {
    display: none;
}

.hidden-forced {
    display: none !important;
}

.noselect {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

p,
h1,
h2,
h3 {
    margin: 0;
    font-weight: normal;
}

a:link {
    color: #FF290B;
}

a:visited {
    color: #FF290B;
}

.tooltip {
    color: #FF290B;
    text-decoration: underline;
    cursor: pointer;
}

.swiper-pagination-switch {
    display: inline-block;

    width: 8px;
    height: 8px;
    margin-right: 5px;

    background: #555;
    opacity: 0.8;

    border-radius: 8px;
    border: 1px solid #fff;
    cursor: pointer;
}

.swiper-scrollbar {
    bottom: auto !important;
}

.swiper-scrollbar-drag {
    background: rgba(250, 255, 255, 0.5) none repeat scroll 0 0;
}

.swiper-active-switch {
    background: #fff;
}

.slide-wrapper {
    width: 100%;
    height: calc(100% - 2px);
    position: relative;

}

.vertical-align {
    top: 50%;
    -webkit-transform: translateY(-45%);
    -moz-transform: translateY(-45%);
    -ms-transform: translateY(-45%);
    -o-transform: translateY(-45%);
    transform: translateY(-45%);
    margin: 0 auto;
}

.grayscale {
    -webkit-filter: grayscale(100%);
    -moz-filter: grayscale(100%);
    -ms-filter: grayscale(100%);
    -o-filter: grayscale(100%);
    filter: grayscale(100%);
    filter: url(grayscale.svg#greyscale);
    /* Firefox 4+ */
    filter: gray;
    /* IE 6-9 */
}

.swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    background-color: transparent;
    border: 2px solid #313131;
    opacity: .8;
}

.swiper-pagination-bullet-active {
    background-color: #313131;
}

/*############  PAGE SECTIONS: COVER ############*/
#cover {
    position: absolute;
    z-index: 99;

    left: 0;
    top: 80px;
    bottom: 28px;

    width: 100%;
    display: none;
}

#cover iframe {
    position: relative;
    border: 0;
    background-color: #292929;
    background-size: cover;
}

#cover::before {
    /* won't bother in IE8 */
    position: absolute;
    z-index: 99;

    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    content: '';
    pointer-events: none;

    -webkit-box-shadow: inset 0 2px 10px 0 rgb(30, 30, 30);
    -moz-box-shadow: inset 0 2px 10px 0 rgb(30, 30, 30);
    box-shadow: inset 0 2px 10px 0 rgb(30, 30, 30);
}

.background {
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    background-color: #fff;
}

/*############ PAGE SECTION: TOP & LOGO ############*/
#top {
    width: 100%;
    height: 42px;

    background-color: #292929;
}

#logo {
    width: 20%;
    max-width: 250px;
    min-width: 80px;
    height: 84px;

    -moz-box-sizing: content-box;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;

    float: left;
    background-image: url('../images/logo.png');
    background-size: 80% auto;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
}

#home {
    width: 100px;
    height: 100px;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 99;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    color: #303030;
    font-size: 15px;
}

#home:hover {
    background-color: #292929;
    color: #fff;
}

@media only screen and (max-width : 400px) {
    #logo {
        height: 50px;
    }
}

/*############ PAGE SECTION: CATEGORIA ############*/
#categoria {
    height: 42px;
    font-size: 16px;
}
#categoria .swiper-slide {
    height: 100%;
    min-width: 100px;
    color: #b2b2b2;
    background-color: #292929;

    text-align: center;
    cursor: pointer;

    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}
#categoria .swiper-slide p {
    position: relative;
    text-transform: uppercase;
    font-weight: 600;
    padding: 0 20px;
}

#categoria .swiper-slide img {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 80%;
    margin: auto;
}

#categoria .swiper-slide:not(.active):hover {
    background-color: #2476c2;
}

#categoria .swiper-slide:not(.active):active {
    background-color: #103252;
}

#categoria .active {
    background-color: #2476c2;
    color: #fff;
    /*background-image: url('../images/select.png');
    background-position: center bottom;
    background-repeat: no-repeat;*/
}

/*############ PAGE SECTION: FAMIGLIA ############*/
#high {
    background-color: #292929;

    height: 42px;
}

#famiglia {
    width: auto;
    height: 100%;
    font-size: 15px;
    line-height: 1;
    color: #fff;
    background-color: #313131;
}

#famiglia .swiper-wrapper {
    width: 100%;
}

#famiglia .swiper-slide {
    width: auto;
    min-width: 100px;
    height: 100%;

    background-size: 100% 100%;

    text-align: center;
    cursor: pointer;

    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;

    /* border-right: 1px solid #505050; */
}

#famiglia .swiper-slide p {
    position: relative;
    text-transform: uppercase;
    font-weight: 600;
    padding: 0 20px;
}

#famiglia .swiper-slide:after {
    content: "|";
    position: absolute;
    right: 0;
    top: 48%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
}

/* #famiglia .swiper-slide .slide-wrapper {
    border: 1px solid #505050;
}

#famiglia .swiper-slide:first-child {
    border-left: none;
} */

#famiglia .swiper-slide:not(.active):hover {
    color: #2476c2;
}

#famiglia .swiper-slide:not(.active):hover::after {
    color: #fff;
}

#famiglia .active {
    color: #2476c2;
}

#famiglia .active:after {
    color: #fff;
}

/* ############ TEMPLATE: PRODOTTO ############ */
#middle {
    position: absolute;
    overflow: hidden;

    width: 100%;
    top: 85px;
    /* section:top + section:high*/
    bottom: 106px;
    /* section:bottom */
}

#prodotto {
    width: 100%;
    height: 100%;

    position: relative;
}

#prodotto .swiper-wrapper {
    width: 100%;
    height: 100%;
    position: absolute;
}

#prodotto .pagination-prodotto {
    display: none;
}

#prodotto .swiper-slide {
    /* slide-prodotto & slide-gallery */
    width: 100%;
    height: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;

    -ms-flex-direction: row;
    -webkit-flex-direction: row;
    flex-direction: row;
}

#prodotto .slide-gallery-content {
    width: 100%;
    height: 100%;

    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

#prodotto .slide-prodotto {
    background-color: #fff;
}


/* ############ TEMPLATE: GALLERY ############ */
.swiper-gallery {
    width: 100%;
}
.pagination-gallery {
    right: 5px !important;
}
#prodotto .prodotto-background {
    width: 30%;
    height: 100%;

    float: right;
    margin-right: 10%;

    background-color: #303030;
    position: relative;

    font-size: 36pt;
}

#prodotto .prodotto-change {
    position: absolute;
    right: 0;
    padding: 10px;
    z-index: 99;
    opacity: .5;
    cursor: pointer;
    display: none;
}

#prodotto .product-details {
    width: 50%;

    -moz-box-sizing: padding-box;
    -webkit-box-sizing: padding-box;
    box-sizing: padding-box;

    padding: 2%;
    text-align: left;
}

#prodotto .product-image {
    width: 50%;
    display: block;
    background-image: url('../images/placeholder.jpg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    /* for preload center */
}

#prodotto h1 {
    font-weight: bold;
    color: #2476C2;
    line-height: 1.2em;
    letter-spacing: 3px;
}

#prodotto h3 {
    font-size: 38px;
    font-weight: normal;
    color: #303030;
    line-height: 1em;
    margin-top: 3%;
}

#prodotto .description,
#prodotto .notes {
    margin-top: 15px;
    line-height: 1.3em;
    letter-spacing: 1px;

}

/* ############ TEMPLATE: PRODOTTO TABELLA ############ */
.product-table {
    margin-top: 10px;
}

.cella-base {
    display: inline-block;
    padding: 2px 5px;
    margin: 2px 5px 2px 0;
    min-width: 40px;
    text-align: center;
}

.cella-bordo {
    border: 1px solid #333;
}

.cella-fill {
    color: #fff;
    background-color: #6e2a2c;
}

.cella-title {
    color: #333;
    border-bottom: 1px dotted #333;
}

/* ############ TEMPLATE: PRODOTTO CUSTOM ############ */
#prodotto .veli,
#prodotto .strappi,
#prodotto .codici {
    margin-top: 25px;
}

#prodotto .veli::before {
    content: "NUMERO VELI";
    padding: 0 0 0 0;
    font-weight: bold;
    letter-spacing: 5px;
    color: #2476c2;
    margin-right: 10px;
}

#prodotto .strappi::before {
    content: "STRAPPI";
    padding: 0 0 0 0;
    font-weight: bold;
    letter-spacing: 5px;
    color: #2476c2;
    margin-right: 10px;
}

#prodotto .codici::before {
    content: "CODICI";
    padding: 0 0 0 0;
    font-weight: bold;
    letter-spacing: 5px;
    color: #2476c2;
    margin-right: 10px;
}

#prodotto .veli span,
#prodotto .strappi span,
#prodotto .codici span {
    padding: 5px 25px;
    border: 1px solid #313131;
    display: inline-block;
    margin-bottom: 10px;
    margin-right: 10px;
}

#prodotto .attributi-wrapper {
    display: flex;
    padding: 10px;
    flex-wrap: wrap;
    align-content: center;
    width: 100%;
    height: 100%;
    box-sizing: border-box;

}

#prodotto .attributo {
    box-sizing: border-box;
    width: Calc(20% - 24px);
    /* border: 1px solid #292929; */
    margin: 12px;
    display: flex;
    align-items: center;
    height: Calc(33% - 24px);
    font-size: 14px;
}

#prodotto .attributo-img {
    height: Calc(100% - 26px);
    overflow: hidden;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: white;
    background-position: center;
}

#prodotto .attributo-title {
    margin-top: auto;
    margin-bottom: auto;
}

#prodotto .attributo .attributo-wrapper {
    width: Calc(100% - 10px);
    margin: 5px;
    padding: 2px;
    color: #fff;
    background-color: #292929;
    display: flex;
    flex-direction: column;
    height: 100%;
}

/* ############ TEMPLATE: PRODOTTO MEDIA QUERIES ############ */

@media only screen and (max-height : 600px) and (max-width : 800px) {
    #middle {
        line-height: 1.3;
    }

    #prodotto .slide-gallery {
        display: block;
    }

    #prodotto .product-title {
        font-size: 28px;
    }

    #prodotto .product-text {
        margin-top: 0;
        font-size: 12px;
    }
}

@media only screen and (max-width : 800px) {
    #prodotto .product-details {
        width: 100%;
    }

    #prodotto .product-image {
        width: 100%;
        height: 50%;
        background-position: center;
    }
}

@media only screen and (max-height : 700px) {
    #middle {
        top: 100px;
    }

    #prodotto .product-title {
        font-size: 32px;
    }

    #prodotto .product-text {
        margin-top: 2%;
    }
}

@media only screen and (max-width : 600px) {
    #prodotto .slide-gallery {
        display: block;
    }

    #prodotto .product-details {
        width: 100%;
        height: 100%;
    }

    #prodotto h2 {
        margin-top: 0;
    }

    #prodotto .product-image {
        width: 100%;
        height: 100%;
        background-position: center;
        background-size: contain;
        position: absolute;
        z-index: 1;
        display: none;
    }

    #prodotto .prodotto-change {
        display: block;
    }

    #prodotto .attributo {
        width: Calc(33.333% - 24px);
        max-height: Calc(20% - 24px);
    }
}

@media only screen and (max-width : 400px) {
    .description {
        display: none;
    }
}

/*############ SLIDE BAR ############*/
.slide-bar {
    position: absolute;
    height: 80px;
    bottom: 0;
    right: 0;
    width: 100%;
    text-align: center;

    -ms-flex-direction: row-reverse;
    -webkit-flex-direction: row-reverse;
    flex-direction: row-reverse;

    display: flex;
    z-index: 99;
}

.slide-bar img {
    cursor: pointer;
    margin: 20px;
}

.slide-button {
    width: 20%;
    height: 100%;
    min-width: 150px;
    max-width: 190px;
    margin: 0 10px;
    float: right;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    display: none;
    position: relative;
}

.slide-button img {
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    width: 100%;
}

.slide-button .img-hover {
    opacity: 0;
}

.mfp-content {
    /*max-width: 100% !important;*/
    /*max-height: 100% !important;*/
}

.mfp-iframe-holder {
    /*padding: 50px !important;*/
}

@media only screen and (max-width : 800px) {
    .slide-bar {
        -ms-flex-direction: column-reverse;
        -webkit-flex-direction: column-reverse;
        flex-direction: column-reverse;
        right: 0;
        height: 150px;
        width: auto;
    }

    .slide-button {
        height: 33%;
    }
}

/*############ TEMPLATE: PRODOTTO-BAR ############*/
#bottom {
    background-color: #292929;

    position: absolute;
    bottom: 28px;

    width: 100%;
    height: 78px;
}

#prodottobar {
    float: left;

    width: calc(100% - 60px);
    height: 100%;

    margin: 0;

    font-size: 16px;
    line-height: 1.2em;
    color: #fff;
}

#prodottobar .swiper-wrapper {
    width: 100%;
    min-width: 50px;
}

#prodottobar .swiper-slide {
    width: 150px;
    height: 100%;

    padding-left: 10px;
    padding-right: 10px;

    text-align: center;
    cursor: pointer;
}

#prodottobar .swiper-slide:after {
    content: "|";
    position: absolute;
    right: 0;
    top: 48%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
}

#prodottobar .swiper-slide:first-child {
    border-left: none;
}

#prodottobar .swiper-slide p {
    position: relative;
}

#prodottobar .swiper-slide:not(.active):hover {
    color: #2476c2;
}

#prodottobar .swiper-slide:not(.active):hover::after {
    color: #fff;
}

#prodottobar .active {
    color: #2476c2;
}

#prodottobar .active:after {
    color: #fff;
}

.prodottobar-arrow {
    float: left;
    width: 30px;
    height: 100%;

    text-align: center;
    cursor: pointer;

    line-height: 100px;
}

.prodottobar-arrow i {
    color: #808080;
}

.prodottobar-arrow:hover i {
    color: brown;
}

.prodottobar-arrow:active i {
    color: brown;
}

@media (max-width:400px) {
    #prodottobar .swiper-slide {
        width: 100%;
    }
}

@media (max-height:600px) {
    #bottom {
        display: none;
    }

    #middle {
        bottom: 20px;
    }

    #prodotto .pagination-prodotto {
        display: unset;
    }
}

/*############ TEMPLATE: FOOTER ############*/
#footer {
    -moz-box-sizing: padding-box;
    -webkit-box-sizing: padding-box;
    box-sizing: padding-box;

    position: absolute;
    bottom: 0;
    width: 100%;
    height: 28px;

    background-color: #2476C2;
    text-align: right;
    font-size: 11px;
    color: #fff;
}

#footer p,
#footer span {
    margin-right: 10px;
    line-height: 28px;
}

.footer-left {
    margin-left: 10px;

    float: left;
}

.footer-right {
    margin-right: 10px;
    float: right;
}

@media only screen and (max-width : 480px) {
    #footer {
        text-align: center;
    }

    #footer p {
        margin-right: 0;
    }

    #footer .footer-left {
        margin-left: 0;
    }

    #footer .footer-right {
        display: none;
    }
}